2014-03-05 20:17 - Jan from Planio www.plan.io

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.6.0   

Description

Here's a screenshot and a patch. It makes it more consistent with privat issues.
Associated revisions

Revision 13367 - 2014-09-09 05:53 - Jean-Baptiste Barth

Mark private notes more clearly (#16240).

Contributed by Jan Schulz-Hofen.

History

#1 - 2014-03-05 20:27 - Jan from Planio www.plan.io

- Description updated

#2 - 2014-06-22 16:31 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 2.6.0

#3 - 2014-09-06 04:34 - Jean-Baptiste Barth

- Assignee set to Jean-Baptiste Barth

I like the idea, and I'm afraid nobody else is looking at this for now.

That's the major point that keeps me with my absurd "redmine_comments" plugin on my redmine instances. I took the approach even further with a

completely different style for private notes (= internal comments for staff in my case ; but there may be other use cases?). I guess it's too opinionated

but let me know what you think: https://github.com/jbbarth/redmine_comments#screenshot

In any case I think the actual integration has to be improved, so I take the issue. Depending on your feedback I'll commit your change as is, it looks

good to me.

#4 - 2014-09-08 12:33 - Jan from Planio www.plan.io

I took the approach even further with a completely different style for private notes (= internal comments for staff in my case ; but there may be

other use cases?). I guess it's too opinionated but let me know what you think: https://github.com/jbbarth/redmine_comments#screenshot

 I didn't try the plugin, just had a look at the screenshot. As you might have noticed in my previous comments, I am a big fan of consistency, especially

when it comes to UI concepts. Therefore, I wanted to add the red  PRIVATE  label: because it is used on private issues also and will be recognized by

users easily (as opposed to the vertical red line by itself; I think it can easily be overlooked; or people could notice it but would not know what it

means).

Your screenshot in itself looks consistent to me and I like it. However, I am not sure how it relates to the Redmine core themes? The regular journal

has a yellow background and a 1px silver border. That's not the default Redmine theme, is it? Do you have a demo Redmine where one can try out

the plugin?

#5 - 2014-09-09 05:54 - Jean-Baptiste Barth

- Status changed from Needs feedback to Closed

Actually I don't suggest we switch to "my" design directly, I was just wondering if we should push the design change further. Anyway you're right I'm

already on a theme slightly different from the default ones.
The first step you propose is already nice. I committed it in r13367.

One note about this: the locale key is the one used for private issues, while private notes are marked with l(:field_private_notes), but the key is

pluralized, so it was a bit weird to have a pluralized expression beside each individual note. Hence I left your patch exactly as is...

Thanks!

#6 - 2014-09-11 17:52 - Jan from Planio www.plan.io

Thank you !
